# Get

Launch stage: GA

`GET /api/2.0/secrets/acls/get`

Describes the details about the given ACL, such as the group and permission.

 Users must have the ``MANAGE`` permission to invoke this API.

 Example response:

 .. code::

    {
        "principal": "data-scientists",
        "permission": "READ"
    }

 Throws ``RESOURCE_DOES_NOT_EXIST`` if no such secret scope exists.
 Throws ``PERMISSION_DENIED`` if the user does not have permission to make this API call.
 Throws ``INVALID_PARAMETER_VALUE`` if the permission or principal is invalid.

API scopes: secrets

## Query parameters

- `scope` (string, optional)
  The name of the scope to fetch ACL information from.
- `principal` (string, optional)
  The principal to fetch ACL information for.

## Returns

Returns the AclItem object.

## Response

```json
{
  "principal": "string",
  "permission": "string"
}
```

